Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Fri, 17 Apr 2020 11:21:50 +0100

On Fri, Apr 17, 2020 at 11:13 AM Eli Zaretskii <[email-masked]> wrote:

>
> > Shouldn't we just take a "best-effort" approach here?
>
> I think you will find that opinions differ on what is "best effort" in
> this context.  Which is completely fine, we don't need to agree on
> such issues.
>

Indeed, we don't need to, but here's my take on anyway,
followed by a question.

For me, best effort here means: do something self-contained
that brings some good and brings no harm.  I think introducing
lisp-data-mode is _exactly_ in those conditions.

That's not to say we can't use do _more_ good as we
extend our efforts. But we shouldn't let those ambitions
stifle the initial deed, smaller, but unquestionably positive.

So I'm thinking of introducing lisp-data-mode later on in
master, following Stefan's patch. And using it only for `dir-locals.el`
for now (and for my own files of course).

Is that OK with you?

-- 
João Távora